typedef union {
    int ival;
    double fval;
    struct ent_ptr ent;
    struct enode *enode;
    char *sval;
    struct range_s rval;
} YYSTYPE;
#define	STRING	258
#define	NUMBER	259
#define	FNUMBER	260
#define	RANGE	261
#define	VAR	262
#define	WORD	263
#define	COL	264
#define	S_FORMAT	265
#define	S_FMT	266
#define	S_LABEL	267
#define	S_LEFTSTRING	268
#define	S_RIGHTSTRING	269
#define	S_GET	270
#define	S_PUT	271
#define	S_MERGE	272
#define	S_LET	273
#define	S_WRITE	274
#define	S_TBL	275
#define	S_COPY	276
#define	S_SHOW	277
#define	S_ERASE	278
#define	S_FILL	279
#define	S_LOCK	280
#define	S_UNLOCK	281
#define	S_GOTO	282
#define	S_DEFINE	283
#define	S_UNDEFINE	284
#define	S_VALUE	285
#define	S_MDIR	286
#define	S_HIDE	287
#define	S_SET	288
#define	K_ERROR	289
#define	K_INVALID	290
#define	K_FIXED	291
#define	K_SUM	292
#define	K_PROD	293
#define	K_AVG	294
#define	K_STDDEV	295
#define	K_COUNT	296
#define	K_ABS	297
#define	K_ACOS	298
#define	K_ASIN	299
#define	K_ATAN	300
#define	K_ATAN2	301
#define	K_CEIL	302
#define	K_COS	303
#define	K_EXP	304
#define	K_FABS	305
#define	K_FLOOR	306
#define	K_HYPOT	307
#define	K_LN	308
#define	K_LOG	309
#define	K_PI	310
#define	K_POW	311
#define	K_SIN	312
#define	K_SQRT	313
#define	K_TAN	314
#define	K_DTR	315
#define	K_RTD	316
#define	K_MAX	317
#define	K_MIN	318
#define	K_RND	319
#define	K_ROUND	320
#define	K_IF	321
#define	K_PV	322
#define	K_FV	323
#define	K_PMT	324
#define	K_HOUR	325
#define	K_MINUTE	326
#define	K_SECOND	327
#define	K_MONTH	328
#define	K_DAY	329
#define	K_YEAR	330
#define	K_NOW	331
#define	K_DATE	332
#define	K_DTS	333
#define	K_TTS	334
#define	K_FMT	335
#define	K_SUBSTR	336
#define	K_UPPER	337
#define	K_LOWER	338
#define	K_CAPITAL	339
#define	K_STON	340
#define	K_EQS	341
#define	K_EXT	342
#define	K_NVAL	343
#define	K_SVAL	344
#define	K_LOOKUP	345
#define	K_HLOOKUP	346
#define	K_VLOOKUP	347
#define	K_INDEX	348
#define	K_STINDEX	349
#define	K_AUTO	350
#define	K_AUTOCALC	351
#define	K_BYROWS	352
#define	K_BYCOLS	353
#define	K_ITERATIONS	354
#define	K_NUMERIC	355
#define	K_PRESCALE	356
#define	K_EXTFUN	357
#define	K_CELLCUR	358
#define	K_TOPROW	359
#define	K_TBLSTYLE	360
#define	K_TBL	361
#define	K_LATEX	362
#define	K_SLATEX	363
#define	K_TEX	364
#define	K_FRAME	365
#define	K_RNDINFINITY	366
#define	K_MYROW	367
#define	K_MYCOL	368
#define	K_COLTOA	369
#define	K_CRACTION	370
#define	K_CRROW	371
#define	K_CRCOL	372
#define	K_ROWLIMIT	373
#define	K_COLLIMIT	374
#define	K_NUMITER	375
#define	K_MATRIX_ADD	376
#define	K_MATRIX_SUB	377
#define	K_MATRIX_INV	378
#define	K_MATRIX_MULT	379
#define	K_MATRIX_TRANS	380
#define	K_GRAPH	381


extern YYSTYPE yylval;
